Subject: Forum activity on: brand new to inkscape extensions - how to get selected bitmap
From: [email-masked]
To: [email-masked]
Date: Tue, 30 Jul 2024 02:38:59 -0000

Dear cosmobird,

A new post on the topic "brand new to inkscape extensions - how to get selected bitmap" by raphael75:
---
Hello, I am trying to write my 1st Inkscape extension. I have an Inkscape file with a bitmap that I pasted in, and all I want the extension to do is get the selected bitmap image and resize it to a specific size in inches.I looked at the tutorial, and I downloaded some other extensions that deal with bitmap images, but nothing I tried worked. Things I tried:img_elt, objs = self.get_selection()
img_elt.style['width'] = '2.463'
img_elt.style['height'] = '3.438' for id, node in self.selected.iteritems():
    node.set('width', '2.463')
    node.set('height', '3.438')for elem in self.selection:
    elem.style['width'] = '2.463'
    elem.style['height'] = '3.438'And none of these worked. I can't find the documentation for the "self" object and its properties. Any help is appreciated.
----
Link: http://www.inkscape.org/forums/extensions/brand-new-to-inkscape-extensions-how-to-get-selected-bitmap/#c73439

All the best,
 Inkscape.org Website

~~~~~~~~~~~~~~~~~~~~~~~~~
Unsubscribe:

If you do no longer want to receive these messages, you can edit your subscriptions and notification settings at http://www.inkscape.org/alerts/settings/.